cURL
curl --request GET \ --url https://api.valyu.ai/v1/datasources/categories \ --header 'X-API-Key: <api-key>'
{ "success": true, "categories": [ { "id": "research", "name": "Research", "description": "Academic papers, preprints, and scholarly articles.", "dataset_count": 8 }, { "id": "healthcare", "name": "Healthcare", "description": "Medical literature, clinical trials, drug data, and health records.", "dataset_count": 6 }, { "id": "markets", "name": "Markets", "description": "Stock prices, earnings, SEC filings, and financial data.", "dataset_count": 5 } ] }
Returns all datasource categories with dataset counts
API key for authentication. Get yours at platform.valyu.ai.
List of datasource categories.
Whether the request succeeded.
true
Array of available datasource categories.
Show child attributes
Was this page helpful?